Bug 1110750 - gnutls should use the central certificate store
Summary: gnutls should use the central certificate store
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnutls
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Stanislav Zidek
Mirek Jahoda
URL:
Whiteboard:
Keywords: Rebase, Reopened
Depends On: 1110696 1122528 1142305 1174191
Blocks: 1295396 1296594 1313485 1309228
TreeView+ depends on / blocked
 
Reported: 2014-06-18 11:28 UTC by Nikos Mavrogiannopoulos
Modified: 2016-11-04 00:58 UTC (History)
8 users (show)

(edit)
_gnutls_ now uses the central certificate store

The _gnutls_ packages provide the GNU Transport Layer Security (GnuTLS) library, which implements cryptographic algorithms and protocols such as SSL, TLS, and DTLS. With this update, GnuTLS uses the central certificate store of Red Hat Enterprise Linux through the _p11-kit_ packages. Certificate Authority (CA) updates, as well as certificate black lists, are now visible to applications at runtime.
Clone Of:
(edit)
Last Closed: 2016-11-04 00:58:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2218 normal SHIPPED_LIVE gnutls bug fix and enhancement update 2016-11-03 13:25:10 UTC

Description Nikos Mavrogiannopoulos 2014-06-18 11:28:21 UTC
Description of problem:  Centralize certificate verification and management. Currently NSS and openssl use p11-kit indirectly (though compat modules, or exported files), thus access centralized trust management. However, GnuTLS doesn't. So the scope of this enhancement is restricted on adding p11-kit support to GnuTLS in order to access the centralized trust management in Fedora/RHEL.

Support for the p11-kit trust store has been added in gnutls 3.3.0, thus only a rebase is needed.

Comment 1 Nikos Mavrogiannopoulos 2014-07-28 10:58:31 UTC
With the rebase of both gnutls and p11-kit, this fix is a simple configuration change in gnutls (i.e., compile with the flag --with-default-trust-store-pkcs11="pkcs11:" as in Fedora 21)

Comment 18 RHEL Product and Program Management 2015-04-08 13:55:57 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 27 errata-xmlrpc 2016-11-04 00:58:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2218.html


Note You need to log in before you can comment on or make changes to this bug.